%bcond_with bootstrap

Name:           plexus-containers
Version:        2.2.0
Release:        %mkrel 2
Group:	  	Development/Java
Summary:        Containers for Plexus
# Most of the files are either under ASL 2.0 or MIT
# The following files are under xpp:
# plexus-component-metadata/src/main/java/org/codehaus/plexus/metadata/merge/Driver.java
# plexus-component-metadata/src/main/java/org/codehaus/plexus/metadata/merge/MXParser.java
License:        ASL 2.0 and MIT and xpp
URL:            https://github.com/codehaus-plexus/plexus-containers
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        LICENSE.MIT

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.thoughtworks.qdox:qdox)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-testing)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.jdom:jdom2)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
%endif

Obsoletes: %{name}-container-default < 2.2.0

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%package component-metadata
Summary:        Component metadata from %{name}

%description component-metadata
%{summary}.

%package component-annotations
Summary:        Component API from %{name}

%description component-annotations
%{summary}.

%{?javadoc_package}

%prep
%setup -q -n %{name}-%{name}-%{version}
cp %{SOURCE1} .
cp %{SOURCE2} .

%pom_remove_plugin -r :maven-site-plugin

# remove some broken tests
rm plexus-component-metadata/src/test/java/org/codehaus/plexus/metadata/merge/ComponentsXmlMergerTest.java
rm plexus-component-metadata/src/test/java/org/codehaus/plexus/metadata/DefaultComponentDescriptorWriterTest.java

%mvn_package :plexus-containers __noinstall

%build
%mvn_build -s

%install
%mvn_install

%files component-annotations -f .mfiles-plexus-component-annotations
%license LICENSE-2.0.txt LICENSE.MIT

%files component-metadata -f .mfiles-plexus-component-metadata
%license LICENSE-2.0.txt LICENSE.MIT


%changelog
* Fri May 24 2024 ns80 <ns80> 2.2.0-2.mga10
+ Revision: 2067416
- rebuild without bootstrap

* Fri May 24 2024 ns80 <ns80> 2.2.0-1.mga10
+ Revision: 2067415
- bootstrap build
- new version 2.2.0
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 2.1.1-2.mga9
+ Revision: 1871431
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 2.1.1-1.mga9
+ Revision: 1870886
- New version 2.1.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 daviddavid <daviddavid> 2.1.0-2.mga8
+ Revision: 1670131
- Rebuilt for JDK-11

* Thu Aug 20 2020 neoclust <neoclust> 2.1.0-1.mga8
+ Revision: 1616928
- New version 2.1.0

* Fri Feb 14 2020 umeabot <umeabot> 1.7.1-3.mga8
+ Revision: 1520857
- Mageia 8 Mass Rebuild

* Tue Dec 11 2018 neoclust <neoclust> 1.7.1-2.mga7
+ Revision: 1340346
- Fix build against guava20

* Thu Oct 11 2018 guillomovitch <guillomovitch> 1.7.1-1.mga7
+ Revision: 1319545
- new version 1.7.1

* Wed Sep 19 2018 umeabot <umeabot> 1.6-8.mga7
+ Revision: 1274440
- Mageia 7 Mass Rebuild

* Mon May 08 2017 neoclust <neoclust> 1.6-7.mga6
+ Revision: 1099620
- Regenerate build-requires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.6-5.mga6
+ Revision: 977793
- First rebuild of the java stack
- sync package plexus-containers with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 pterjan <pterjan> 1.5.5-19.mga5
+ Revision: 809236
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.5.5-18.mga5
+ Revision: 740071
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Jan 02 2014 dmorgan <dmorgan> 1.5.5-16.mga4
+ Revision: 563955
- Rebuild against current java stack

* Mon Dec 30 2013 dmorgan <dmorgan> 1.5.5-15.mga4
+ Revision: 563323
- Fix build against plexus-classworlds 2.5
- Rebuild against new javapackages
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 dmorgan <dmorgan> 1.5.5-13.mga4
+ Revision: 481205
- Build with xmvn

* Tue Feb 19 2013 dmorgan <dmorgan> 1.5.5-7.mga3
+ Revision: 399293
- Rebuild against new maven-javadoc-plugin

* Sun Jan 13 2013 umeabot <umeabot> 1.5.5-6.mga3
+ Revision: 377886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 09 2012 dmorgan <dmorgan> 1.5.5-5.mga3
+ Revision: 268951
- Fix build against java7

* Sun Jul 24 2011 dmorgan <dmorgan> 1.5.5-4.mga2
+ Revision: 128162
- Fix Buildrequires
- Fix to build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 1.5.5-3.mga1
+ Revision: 93020
- Rebuild after bootstrapping
- imported package plexus-containers


* Mon Feb 28 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.5-2
- Remove unneeded env var definitions

* Fri Feb 25 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.5-1
- Update to latest upstream
- Remove obsolete patches
- Use maven 3 to build
- Packaging fixes
- Versionless jars & javadocs

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.4-4
- Add plexus-cli to component-metadata Requires

* Wed Sep  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.4-3
- Use javadoc:aggregate
- Merge javadoc subpackages into one -javadoc

* Thu Jul 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.4-2
- Fix maven depmaps

* Tue Jul 13 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5.4-1
- Version bump
- Add new sub-packages
- Cleanups

* Thu Aug 20 2009 Andrew Overholt <overholt@redhat.com> 0:1.0-0.1.a34.7
- Clean up javadoc post/postun
- Build with ant
- Remove gcj support
- Clean up groups

* Fri May 15 2009 Fernando Nasser <fnasser@redhat.com> 1.0-0.1.a34.6
- Fix license

* Tue Apr 28 2009 Yong Yang <yyang@redhat.com> 1.0-0.1.a34.5
- Add BRs maven2-plugin-surfire*, maven-doxia*
- Merge from RHEL-4-EP-5 1.0-0.1.a34.2, add plexus-containers-sourcetarget.patch
- Rebuild with new maven2 2.0.8 built in non-bootstrap mode

* Mon Mar 16 2009 Yong Yang <yyang@redhat.com> 1.0-0.1.a34.4
- rebuild with new maven2 2.0.8 built in bootstrap mode

* Wed Feb 04 2009 Yong Yang <yyang@redhat.com> - 1.0-0.1.a34.3
- re-build with maven

* Wed Feb 04 2009 Yong Yang <yyang@redhat.com> - 1.0-0.1.a34.2
- fix bulding with ant
- temporarily buid with ant

* Wed Jan 14 2009 Yong Yang <yyang@redhat.com> - 1.0-0.1.a34.1jpp.2
- re-build with maven
- disabled assert in plexus-container-default/.../UriConverter.java???

* Tue Jan 13 2009 Yong Yang <yyang@redhat.com> - 1.0-0.1.a34.1jpp.1
- Imported into devel from dbhole's maven 2.0.8 packages

* Tue Apr 08 2008 Deepak Bhole <dbhole@redhat.com> 1.0-0.1.a34.0jpp.1
- Initial build with original base spec from JPackage
